# Poco

# class ReferenceCounter

Library: Foundation
Package: Core
Header: Poco/SharedPtr.h

## Description

Simple ReferenceCounter object, does not delete itself when count reaches 0.

## Member Summary

Member Functions: duplicate, referenceCount, release

## Constructors

### ReferenceCounter

ReferenceCounter();

## Member Functions

### duplicate

void duplicate();

### referenceCount

int referenceCount() const;

### release

int release();